//////////////////////////////////////////////////////////////////////
// XLogical - A puzzle game
//
// Copyright (C) 2000 Neil Brown, Tom Warkentin
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// or at the website: http://www.gnu.org
//
////////////////////////////////////////////////////////////////////////

#include "defs.h"

char *imageFiles[] = {
	DATA_DIR PATHSEP "images" PATHSEP "arrow_d.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "arrow_l.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "arrow_r.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "arrow_u.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "background_complete.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "background_game.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "background_gameover.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "background_hiscore.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "background_start.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "background_time.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "background_won.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ball_c1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ball_c2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ball_c3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ball_c4.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove3_0.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove3_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove3_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove3_3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove4_0.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove4_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove4_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove4_3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove4_4.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove5_0.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove5_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove5_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove5_3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove5_4.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "ballmove5_5.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "block_base.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "cover_center.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "cover_d.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "cover_l.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "cover_r.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "cover_u.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "finish_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "finish_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "finish_3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "finish_4.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "font_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "font_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "font_3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "font_4.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "gem_c1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "gem_c2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "gem_c3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "gem_c4.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "next_base.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "numbers.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "order_disp.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "paint_base.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "pattern_disp.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "scrollblock.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "sel_back_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "sel_back_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "sel_back_3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "sel_back_4.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "slider.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "slider_thumb.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spin_0.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spin_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spin_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spincover_0.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spincover_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spincover_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spincoverred_0.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spincoverred_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spincoverred_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spindark.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spinred_0.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spinred_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spinred_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spinring.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spinring_d.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spinring_l.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spinring_r.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spinring_u.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spintopoff.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "spintopon.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "start_c.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "start_d.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "start_l.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "start_r.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_00.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_01.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_02.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_03.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_04.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_05.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_06.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_07.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_08.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_09.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_10.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_11.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_12.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_13.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_14.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_15.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_16.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_17.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_18.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_19.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "starttimer_20.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "start_u.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "teleport_base.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "teleport_lr.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "teleport_ud.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "timer.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "title_text_1.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "title_text_2.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "title_text_3.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "title_text_4.jpg",
	DATA_DIR PATHSEP "images" PATHSEP "track_d.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_dl.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_dlr.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_dr.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_l.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_lr.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_r.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_u.bmp" ,
	DATA_DIR PATHSEP "images" PATHSEP "track_ud.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_udl.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_udlr.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_udr.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_ul.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_ulr.bmp",
	DATA_DIR PATHSEP "images" PATHSEP "track_ur.bmp"
};
